<?php 
namespace App\Entities\ConvenioProcedimento;

use App\Utils\Entity;

class ConvenioProcedimento extends Entity
{

	
	protected $id;
	protected $id_convenio;
	protected $id_procedimento;
	protected $id_unidade;
	protected $criado_por;
	protected $criado_em;
	protected $alterado_por;
	protected $atualizado_em;
	protected $desativado_por;
	protected $desativado_em;
	

    public static function builder() : ConvenioProcedimentoBuilder
    {
    	return (new ConvenioProcedimentoBuilder);
    }

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    public function getId_convenio()
    {
        return $this->id_convenio;
    }
    public function getId_procedimento()
    {
    	return $this->id_procedimento;
    }
    public function getId_unidade()
    {
    	return $this->id_unidade;
    }
    
    public function getCriado_por()
    {
        return $this->criado_por;
    }
    public function getCriado_em()
    {
    	return $this->criado_em;
    }
    public function getAlterado_por()
    {
    	return $this->alterado_por;
    }
    public function getAtualizado_em()
    {
    	return $this->atualizado_em;
    }
    public function getDesativado_por()
    {
    	return $this->desativado_por;
    }
    public function getDesativado_em()
    {
    	return $this->desativado_em;
    }
   
    public function setId($id): void
    {
    	$this->id = $id;
    }
	/**
	 * @param mixed $id_convenio
	 */
	public function setId_convenio($id_convenio) {
		$this->id_convenio = $id_convenio;
	}

	/**
	 * @param mixed $id_procedimento
	 */
	public function setId_procedimento($id_procedimento) {
		$this->id_procedimento = $id_procedimento;
	}

	/**
	 * @param mixed $id_unidade
	 */
	public function setId_unidade($id_unidade) {
		$this->id_unidade = $id_unidade;
	}

	/**
	 * @param mixed $criado_por
	 */
	public function setCriado_por($criado_por) {
		$this->criado_por = $criado_por;
	}

	/**
	 * @param mixed $criado_em
	 */
	public function setCriado_em($criado_em) {
		$this->criado_em = $criado_em;
	}

	/**
	 * @param mixed $atualizado_por
	 */
	public function setAlterado_por($alterado_por) {
		$this->alterado_por = $alterado_por;
	}

	/**
	 * @param mixed $atualizado_em
	 */
	public function setAtualizado_em($atualizado_em) {
		$this->atualizado_em = $atualizado_em;
	}

	/**
	 * @param mixed $desativado_por
	 */
	public function setDesativado_por($desativado_por) {
		$this->desativado_por = $desativado_por;
	}

	/**
	 * @param mixed $desativado_em
	 */
	public function setDesativado_em($desativado_em) {
		$this->desativado_em = $desativado_em;
	}

  

}